#!/usr/bin/env sh
# Check if cluster directory was available from cache

set -ve

# Delete old machine if it still exists
echo "Deleting old machine"
python3 -c "import greenhost_cloud; greenhost_cloud.terminate_droplets_by_name(\"^${HOSTNAME}$\")"
echo "Creating new machine"
# Uses a custom disk image built with 1f2bee2 on 2021-10-19. See
# CONTRIBUTING.md#ci-pipeline-image for more info.
python3 -m openappstack $HOSTNAME create \
  --create-droplet "$DOMAIN" \
  --create-hostname "$HOSTNAME" \
  --ssh-key-id "$SSH_KEY_ID" \
  --create-domain-records \
  --subdomain "$SUBDOMAIN" \
  --disk-image-id '9099' \
  --truncate-subdomain \
  --docker-mirror-server="${CI_DEPENDENCY_PROXY_SERVER}" \
  --docker-mirror-endpoint="${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}" \
  --docker-mirror-username="${CI_RUNNER_PERSONAL_ACCESS_USERNAME}" \
  --docker-mirror-password="${CI_RUNNER_PERSONAL_ACCESS_TOKEN}"
